Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers.query.hql
Class HibernateObjectType

    java.lang.Object
      org.makumba.providers.query.hql.HibernateObjectType

All Implemented Interfaces:
  ObjectType

    public class HibernateObjectType

extends Object
implements ObjectType

This class would determine types based on Hibernate metadata info, hence it would be Makumba-independent. It would require a SessionFactory.

Constructor Summary
`HibernateObjectType()`

Method Summary
`Object` | `determineType(String type, String field)` for composite types return a String with the type name, for simple types return a descriptor object if field is null, the method should return the type if it is a valid type, null otherwise.
`int` | `getTypeOf(Object descriptor)` given a type descriptor, resolve it to an integer for type analysis

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateObjectType

    public HibernateObjectType()

Method Detail

### determineType

    public Object determineType(String type,
                                String field)

  Description copied from interface: `ObjectType`
  for composite types return a String with the type name, for simple types return a descriptor object if field is null, the method should return the type if it is a valid type, null otherwise.

  Specified by:
    `determineType` in interface `ObjectType`

### getTypeOf

    public int getTypeOf(Object descriptor)

  Description copied from interface: `ObjectType`
  given a type descriptor, resolve it to an integer for type analysis

  Specified by:
    `getTypeOf` in interface `ObjectType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20